#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-YAML-Tiny
Version		:	1.73
Release		:	14.4.0.0%{?dist}
Summary		:	Read/Write YAML files with as little code as possible
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

#-----------------------------------------------------------------------------
%description
The YAML specification is huge. Really, really huge.
It contains all the functionality of XML, except with
flexibility and choice, which makes it easier to read,
but with a formal specification that is more complex
than XML.

The original pure-Perl implementation YAML costs just
over 4 megabytes of memory to load. Just like with
Windows .ini files (3 meg to load) and CSS (3.5 meg to load)
the situation is just asking for a YAML::Tiny module,
an incomplete but correct and usable subset of the
functionality, in as little code as possible.

Like the other ::Tiny modules, YAML::Tiny has no non-core
dependencies, does not require a compiler to install,
is back-compatible to Perl v5.8.1, and can be inlined
into other modules if needed.

In exchange for this adding this extreme flexibility,
it provides support for only a limited subset of YAML.
But the subset supported contains most of the features
for the more common uses of YAML.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/YAML/Tiny.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
